# devfolio
A simple, responsive, single-page portfolio for developers built with Bulma, Sass and Font Awesome.

View the [demo here](https://mmacneil.github.io/devfolio/).

### Desktop version
<img src="https://github.com/mmacneil/devfolio/blob/master/docs/devfolio-desktop.gif" />

### Responsive version
<img src="https://github.com/mmacneil/devfolio/blob/master/docs/devfolio-responsive.gif" />

## Setup

1. Clone or fork this repository.
2. Install required dependencies from your terminal by running `npm install` from the project folder root containing `package.json`.
 <pre>
 <code>src\>npm install</code></pre>
3. Use webpack to compile and bundle the css/js by running `npm run build` from the project folder root containing `webpack.config.js`.  Webpack will also begin watching these files for changes and re-build as they're modified.
 <pre>
 <code>src\>npm run build</code></pre>
 4. Open `index.html` locally in your favorite browser.
 5. Modify accordingly - styles, colors and variables can be changed in `styles.scss`.  Refer to the Bulma docs for guidance on how to quickly customize further to suit your tastes using  [color helpers](https://bulma.io/documentation/modifiers/color-helpers/) and [variables](https://bulma.io/documentation/customize/variables/).
 
 ## Contact
 markmacneil@gmail.com
 
